package com.ruoyi.receive.domain;

/**
 * 报文实体类
 */
public class VehicleMessage {
    //消息标识
    private String identification;
    //VIN码
    private String vinCode;
    //经度
    private String longitude;
    //纬度
    private String latitude;
    //车速
    private String speedOfVehicle;
    //总里程
    private String totalMileage;
    //总电压
    private String totalVoltage;
    //总电流
    private String combinedCurrent;
    //绝缘电阻
    private String insulationResistance;
    //档位
    private String gearPosition;
    //加速踏板行程值
    private String acceleratorPedalTravelValue;
    //制动踏板行程值
    private String brakePedalTravelValue;
    //燃料消耗率
    private String specificFuelConsumption;
    //电机控制器温度
    private String motorControllerTemperature;
    //电机转速
    private String motorSpeed;
    //电机转矩
    private String motorTorque;
    //电机温度
    private String motorTemperature;
    //电机电压
    private String motorVoltage;
    //电机电流
    private String motorCurrent;
    //动力电池剩余电量SOC
    private String electricalSoc;
    //当前状态允许的最大反馈功率
    private String maximumFeedbackPower;
    //当前状态允许最大放电功率
    private String maximumDischargePower;
    //BMS自检计数器
    private String bms;
    //动力电池充放电电流
    private String batteryCurrent;
    //动力电池负载端总电压V3
    private String v3;
    //单次最大电压
    private String singleMaximumVoltage;
    //单体电池最低电压
    private String minimumVoltageOfBattery;
    //单体电池最高温度
    private String maximumBatteryTemperature;
    //单体电池最低温度
    private String minimumBatteryTemperature;
    //动力电池可用容量
    private String powerBatteryAvailableCapacity;
    //车辆状态
    private Integer carStatus;
    //充电状态
    private Integer chargingState;
    //运行状态
    private Integer runningState;
    //SOC
    private String soc;
    //可充电储能装置工作状态
    private String workingCondition;
    //驱动电机状态
    private String driveMotorCondition;
    //定位是否有效
    private String whetherTheLocationValid;
    //EAS
    private String eas;
    //PTC
    private String ptc;
    //EPS
    private String eps;
    //ABS
    private String abs;
    //MCU
    private String mcu;
    //动力电池加热状态
    private String powerBatteryHeatingState;
    //动力电池当前状态
    private String powerBattery;
    //动力电池保温状态
    private String powerBatteryInsulationState;
    //DCDC
    private String dcdc;
    //CHG
    private String chg;

    //时间
    private Long time;

    public String getIdentification() {
        return identification;
    }

    public void setIdentification(Object identification) {
        if(identification!=null) {this.identification = (String) identification;}
    }

    public String getVinCode() {
        return vinCode;
    }

    public void setVinCode(Object vinCode) {
        if (vinCode!=null) {
            this.vinCode = (String) vinCode;
        }
    }

    public String getLongitude() {
        return longitude;
    }

    public void setLongitude(Object longitude) {
        if (longitude!=null) {
            this.longitude = (String) longitude;
        }
    }

    public String getLatitude() {
        return latitude;
    }

    public void setLatitude(Object latitude) {
        if (latitude!=null) {
            this.latitude = (String) latitude;
        }
    }

    public String getSpeedOfVehicle() {
        return speedOfVehicle;
    }

    public void setSpeedOfVehicle(Object speedOfVehicle) {
        if (speedOfVehicle!=null) {
            this.speedOfVehicle = (String) speedOfVehicle;
        }
    }

    public String getTotalMileage() {
        return totalMileage;
    }

    public void setTotalMileage(Object totalMileage) {
        if (totalMileage!=null) {
            this.totalMileage = (String) totalMileage;
        }
    }

    public String getTotalVoltage() {
        return totalVoltage;
    }

    public void setTotalVoltage(Object totalVoltage) {
        if (totalVoltage!=null) {
            this.totalVoltage = (String) totalVoltage;
        }
    }

    public String getCombinedCurrent() {
        return combinedCurrent;
    }

    public void setCombinedCurrent(Object combinedCurrent) {
        if (combinedCurrent!=null) {
            this.combinedCurrent = (String) combinedCurrent;
        }
    }

    public String getInsulationResistance() {
        return insulationResistance;
    }

    public void setInsulationResistance(Object insulationResistance) {
        if (insulationResistance!=null) {
            this.insulationResistance = (String) insulationResistance;
        }
    }

    public String getGearPosition() {
        return gearPosition;
    }

    public void setGearPosition(Object gearPosition) {
        if (gearPosition!=null) {
            this.gearPosition = (String) gearPosition;
        }
    }

    public String getAcceleratorPedalTravelValue() {
        return acceleratorPedalTravelValue;
    }

    public void setAcceleratorPedalTravelValue(Object acceleratorPedalTravelValue) {
        if (acceleratorPedalTravelValue!=null) {
            this.acceleratorPedalTravelValue = (String) acceleratorPedalTravelValue;
        }
    }

    public String getBrakePedalTravelValue() {
        return brakePedalTravelValue;
    }

    public void setBrakePedalTravelValue(Object brakePedalTravelValue) {
        if (brakePedalTravelValue!=null) {
            this.brakePedalTravelValue = (String) brakePedalTravelValue;
        }
    }

    public String getSpecificFuelConsumption() {
        return specificFuelConsumption;
    }

    public void setSpecificFuelConsumption(Object specificFuelConsumption) {
        if (specificFuelConsumption!=null) {
            this.specificFuelConsumption = (String) specificFuelConsumption;
        }
    }

    public String getMotorControllerTemperature() {
        return motorControllerTemperature;
    }

    public void setMotorControllerTemperature(Object motorControllerTemperature) {
        if (motorControllerTemperature!=null) {
            this.motorControllerTemperature = (String) motorControllerTemperature;
        }
    }

    public String getMotorSpeed() {
        return motorSpeed;
    }

    public void setMotorSpeed(Object motorSpeed) {
        if (motorSpeed!=null) {
            this.motorSpeed = (String) motorSpeed;
        }
    }

    public String getMotorTorque() {
        return motorTorque;
    }

    public void setMotorTorque(Object motorTorque) {
        if (motorTorque!=null) {
            this.motorTorque = (String) motorTorque;
        }
    }

    public String getMotorTemperature() {
        return motorTemperature;
    }

    public void setMotorTemperature(Object motorTemperature) {
        if (motorTemperature!=null) {
            this.motorTemperature = (String) motorTemperature;
        }
    }

    public String getMotorVoltage() {
        return motorVoltage;
    }

    public void setMotorVoltage(Object motorVoltage) {
        if (motorVoltage!=null) {
            this.motorVoltage = (String) motorVoltage;
        }
    }

    public String getMotorCurrent() {
        return motorCurrent;
    }

    public void setMotorCurrent(Object motorCurrent) {
        if (motorCurrent!=null) {
            this.motorCurrent = (String) motorCurrent;
        }
    }

    public String getElectricalSoc() {
        return electricalSoc;
    }

    public void setElectricalSoc(Object electricalSoc) {
        if (electricalSoc!=null) {
            this.electricalSoc = (String) electricalSoc;
        }
    }

    public String getMaximumFeedbackPower() {
        return maximumFeedbackPower;
    }

    public void setMaximumFeedbackPower(Object maximumFeedbackPower) {
        if (maximumFeedbackPower!=null) {
            this.maximumFeedbackPower = (String) maximumFeedbackPower;
        }
    }

    public String getMaximumDischargePower() {
        return maximumDischargePower;
    }

    public void setMaximumDischargePower(Object maximumDischargePower) {
        if (maximumDischargePower!=null) {
            this.maximumDischargePower = (String) maximumDischargePower;
        }
    }

    public String getBms() {
        return bms;
    }

    public void setBms(Object bms) {
        if (bms!=null) {
            this.bms = (String) bms;
        }
    }

    public String getBatteryCurrent() {
        return batteryCurrent;
    }

    public void setBatteryCurrent(Object batteryCurrent) {
        if (batteryCurrent!=null) {
            this.batteryCurrent = (String) batteryCurrent;
        }
    }

    public String getV3() {
        return v3;
    }

    public void setV3(Object v3) {
        if (v3!=null) {
            this.v3 = (String) v3;
        }
    }

    public String getSingleMaximumVoltage() {
        return singleMaximumVoltage;
    }

    public void setSingleMaximumVoltage(Object singleMaximumVoltage) {
        if (singleMaximumVoltage!=null) {
            this.singleMaximumVoltage = (String) singleMaximumVoltage;
        }
    }

    public String getMinimumVoltageOfBattery() {
        return minimumVoltageOfBattery;
    }

    public void setMinimumVoltageOfBattery(Object minimumVoltageOfBattery) {
        if (minimumVoltageOfBattery!=null) {
            this.minimumVoltageOfBattery = (String) minimumVoltageOfBattery;
        }
    }

    public String getMaximumBatteryTemperature() {
        return maximumBatteryTemperature;
    }

    public void setMaximumBatteryTemperature(Object maximumBatteryTemperature) {
        if (maximumBatteryTemperature!=null) {
            this.maximumBatteryTemperature = (String) maximumBatteryTemperature;
        }
    }

    public String getMinimumBatteryTemperature() {
        return minimumBatteryTemperature;
    }

    public void setMinimumBatteryTemperature(Object minimumBatteryTemperature) {
        if (minimumBatteryTemperature!=null) {
            this.minimumBatteryTemperature = (String) minimumBatteryTemperature;
        }
    }

    public String getPowerBatteryAvailableCapacity() {
        return powerBatteryAvailableCapacity;
    }

    public void setPowerBatteryAvailableCapacity(Object powerBatteryAvailableCapacity) {
        if (powerBatteryAvailableCapacity!=null) {
            this.powerBatteryAvailableCapacity = (String) powerBatteryAvailableCapacity;
        }
    }

    public Integer getCarStatus() {
        return carStatus;
    }

    public void setCarStatus(Object carStatus) {
        if (carStatus!=null) {
            this.carStatus = Integer.valueOf(carStatus.toString());
        }
    }

    public Integer getChargingState() {
        return chargingState;
    }

    public void setChargingState(Object chargingState) {
        if (chargingState!=null) {
            this.chargingState = Integer.valueOf(chargingState.toString());
        }
    }

    public Integer getRunningState() {
        return runningState;
    }

    public void setRunningState(Object runningState) {
        if (runningState!=null) {
            this.runningState = Integer.valueOf(runningState.toString());
        }
    }

    public String getSoc() {
        return soc;
    }

    public void setSoc(Object soc) {
        if (soc!=null) {
            this.soc = (String) soc;
        }
    }

    public String getWorkingCondition() {
        return workingCondition;
    }

    public void setWorkingCondition(Object workingCondition) {
        if (workingCondition!=null) {
            this.workingCondition = (String) workingCondition;
        }
    }

    public String getDriveMotorCondition() {
        return driveMotorCondition;
    }

    public void setDriveMotorCondition(Object driveMotorCondition) {
        if (driveMotorCondition!=null) {
            this.driveMotorCondition = (String) driveMotorCondition;
        }
    }

    public String getWhetherTheLocationValid() {
        return whetherTheLocationValid;
    }

    public void setWhetherTheLocationValid(Object whetherTheLocationValid) {
        if (whetherTheLocationValid!=null) {
            this.whetherTheLocationValid = (String) whetherTheLocationValid;
        }
    }

    public String getEas() {
        return eas;
    }

    public void setEas(Object eas) {
        if (eas!=null) {
            this.eas = (String) eas;
        }
    }

    public String getPtc() {
        return ptc;
    }

    public void setPtc(Object ptc) {
        if (ptc!=null) {
            this.ptc = (String) ptc;
        }
    }

    public String getEps() {
        return eps;
    }

    public void setEps(Object eps) {
        if (eps!=null) {
            this.eps = (String) eps;
        }
    }

    public String getAbs() {
        return abs;
    }

    public void setAbs(Object abs) {
        if (abs!=null) {
            this.abs = (String) abs;
        }
    }

    public String getMcu() {
        return mcu;
    }

    public void setMcu(Object mcu) {
        if (mcu!=null) {
            this.mcu = (String) mcu;
        }
    }

    public String getPowerBatteryHeatingState() {
        return powerBatteryHeatingState;
    }

    public void setPowerBatteryHeatingState(Object powerBatteryHeatingState) {
        if (powerBatteryHeatingState!=null) {
            this.powerBatteryHeatingState = (String) powerBatteryHeatingState;
        }
    }

    public String getPowerBattery() {
        return powerBattery;
    }

    public void setPowerBattery(Object powerBattery) {
        if (powerBattery!=null) {
            this.powerBattery = (String) powerBattery;
        }
    }

    public String getPowerBatteryInsulationState() {
        return powerBatteryInsulationState;
    }

    public void setPowerBatteryInsulationState(Object powerBatteryInsulationState) {
        if (powerBatteryInsulationState!=null) {
            this.powerBatteryInsulationState = (String) powerBatteryInsulationState;
        }
    }

    public String getDcdc() {
        return dcdc;
    }

    public void setDcdc(Object dcdc) {
        if (dcdc!=null) {
            this.dcdc = (String) dcdc;
        }
    }

    public String getChg() {
        return chg;
    }

    public void setChg(Object chg) {
        if (chg!=null) {
            this.chg = (String) chg;
        }
    }

    public Long getTime() {
        return time;
    }

    public void setTime(Object time) {
        if (time!=null) {
            this.time = Long.valueOf(time.toString());
        }
    }
}
