package com.ruoyi.receive.kafka.config;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;


/**
 * 消费者配置
 */

@Data
@Configuration
@ConfigurationProperties(prefix = "kafka.consumer")
public class ConsumerCustomConfig {

    public String group;

    private String topic;

    private Integer partitions;

    /**
     * 等待时间
     */
    private long ofMillis = 1000;


}
