package com.ruoyi.receive.kafka.config;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

/**
 * kafka config配置类
 */

@Data
@Configuration
@ConfigurationProperties(prefix = "kafka.config")
public class KafkaConfig {


    /**
     * 服务地址
     */
    private String hosts;

    /**
     * topic
     */

    private String topic;

}
