package com.ruoyi.receive.kafka.config;

import org.apache.kafka.clients.admin.AdminClientConfig;
import org.apache.kafka.clients.admin.NewTopic;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.kafka.core.KafkaAdmin;

import java.util.HashMap;
import java.util.Map;

/**
 * kafka主题
 * @Author JCC
 * @Date： 2023/8/18 15:35
 * @Description：
 */
@Configuration
public class KafkaTopic {
    @Bean
    public KafkaAdmin kafkaAdmin() {
        Map<String, Object> configs = new HashMap<>();
        configs.put(AdminClientConfig.BOOTSTRAP_SERVERS_CONFIG, "43.142.96.146:9092");
        return new KafkaAdmin(configs);
    }

    @Bean
    public NewTopic topic1() {
        return new NewTopic("qaq", 50, (short) 1);
    }

    @Bean
    public NewTopic topic2() {
        return new NewTopic("test", 3, (short) 1);
    }
}
