package com.ruoyi.receive.netty.server.impl;

import com.ruoyi.receive.domain.VehicleMessage;
import com.ruoyi.receive.kafka.consumer.KafkaConsumer;
import com.ruoyi.receive.netty.server.KafkaConsumerService;
import lombok.extern.log4j.Log4j2;
import org.apache.kafka.clients.consumer.ConsumerRecord;
import org.apache.kafka.clients.consumer.ConsumerRecords;
import org.springframework.stereotype.Service;

@Log4j2
@Service
public class KafkaConsumerServiceImpl implements KafkaConsumerService {

    @Override
    public void service(ConsumerRecords<String, String> records) {

        for (ConsumerRecord<String,String> record : records){
            log.info("消息：key：{},msg：{}",record.key(),record.value());

            String vehicleMessage = record.value();

            boolean checkMessageHandler = KafkaConsumer.checkMessageHandler(vehicleMessage);

            if (checkMessageHandler){
                VehicleMessage message = new VehicleMessage();
            }else {
                throw new RuntimeException("解析错误");
            }

        }

    }
}
